netdev_set_master
Prev | Driver Support | Next

## Name

netdev_set_master — set up master/slave pair

## Synopsis

`int netdev_set_master (` | struct net_device * | slave,
| struct net_device * | master`)`;

## Arguments

`slave`

  slave device

`master`

  new master device

## Description

Changes the master device of the slave. Pass `NULL` to break the bonding. The caller must hold the RTNL semaphore. On a failure a negative errno code is returned. On success the reference counts are adjusted, `RTM_NEWLINK` is sent to the routing socket and the function returns zero.

Prev | Up | Next
register_gifconf | Home | dev_set_promiscuity